=== po4a/debian/changelog ===
po4a (0.30-1) unstable; urgency=low

  * New upstream release.
    - Update of the list of module displayed by po4a-gettextize --help-format
      Xml is now in this list. Closes: #398711

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 30 Dec 2006 19:03:55 +0100

po4a (0.29-1) unstable; urgency=low

  * New upstream release. 
  * Better rendering of <cmdsynopsis> with Sgml manpages. The cmdsynopsis
    sections will be verbatim. Closes: #369778
  * Convert UTF-8 strings to Perl's "logical character" before wrapping the
    text. This helps the length calculation needed for wrapping lines. Thanks
    to Yuri Kozlov. Closes: #389200
  * New mdoc option for the man module, to select a stricter support of the
    mdoc format. Also document how this section can be translated with an
    addendum. Closes: #378245

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun,  8 Oct 2006 01:10:57 +0200

po4a (0.28-1) unstable; urgency=low

  * New upstream release. 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 17 Aug 2006 00:34:25 +0200

po4a (0.27.2-1) unstable; urgency=low

  * New upstream release.
  * If only one page matches the given section, use this file (even multiple
    pages were found by man -aw). Closes: #381552
  * Man module fixed. It generated \\fB instead of B<...>, and thus fuzzied a
    lot of translations. Closes: #381939

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue,  8 Aug 2006 00:09:03 +0200

po4a (0.27.1-1) unstable; urgency=low

  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Fri,  4 Aug 2006 23:32:41 +0200

po4a (0.27-1) unstable; urgency=low

  [Florentin Duneau]
  * Fix typos in the French translation of the documentation. Closes: #378246

  [Nicolas François]
  * Keep the \\f font modifiers with the inline macros' arguments (E<...>).
    Closes: #378622
  * Set myself as the Maintainer

 -- Martin Quinson <mquinson@debian.org>  Fri,  4 Aug 2006 21:57:40 +0200

po4a (0.26-1) unstable; urgency=low

  The changes for the releases prior to 0.26 are described in
  /usr/share/doc/po4a/changelog.gz.  It includes upstream changes and
  changes in the Debian package.

  [Nicolas François]
  * bump Standards-Version. No changes needed.
  * move debhelper to Build-Depends, even if no architecture-dependent
    packages are built, because it is run in the clean target.
  * Replace the c with cedilla by \[,c] (fix some lintian warnings)

  New upstream release
  * po4aman-display-po improvements. Closes: #368997
  * Updated Russian translation. Thanks to Yuri Kozlov. Closes: #373618
  * Updated Swedish translation. Thanks to Daniel Nylander. Closes: #374896

 -- Martin Quinson <mquinson@debian.org>  Sun, 25 Jun 2006 20:15:32 +0200
